net.minecraftforge.event.terraingen

## Enum DecorateBiomeEvent.Decorate.EventType

- java.lang.Object
- - java.lang.Enum<DecorateBiomeEvent.Decorate.EventType>
  - - net.minecraftforge.event.terraingen.DecorateBiomeEvent.Decorate.EventType

- All Implemented Interfaces:
    Serializable, Comparable<DecorateBiomeEvent.Decorate.EventType>
  Enclosing class:
    DecorateBiomeEvent.Decorate

      public static enum DecorateBiomeEvent.Decorate.EventType
      extends Enum<DecorateBiomeEvent.Decorate.EventType>

  Use CUSTOM to filter custom event types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG_SHROOM`
    `CACTUS`
    `CLAY`
    `CUSTOM`
    `DEAD_BUSH`
    `FLOWERS`
    `GRASS`
    `LAKE`
    `LILYPAD`
    `PUMPKIN`
    `REED`
    `SAND`
    `SAND_PASS2`
    `SHROOM`
    `TREE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecorateBiomeEvent.Decorate.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecorateBiomeEvent.Decorate.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIG_SHROOM

          public static final DecorateBiomeEvent.Decorate.EventType BIG_SHROOM

    - #### CACTUS

          public static final DecorateBiomeEvent.Decorate.EventType CACTUS

    - #### CLAY

          public static final DecorateBiomeEvent.Decorate.EventType CLAY

    - #### DEAD_BUSH

          public static final DecorateBiomeEvent.Decorate.EventType DEAD_BUSH

    - #### LILYPAD

          public static final DecorateBiomeEvent.Decorate.EventType LILYPAD

    - #### FLOWERS

          public static final DecorateBiomeEvent.Decorate.EventType FLOWERS

    - #### GRASS

          public static final DecorateBiomeEvent.Decorate.EventType GRASS

    - #### LAKE

          public static final DecorateBiomeEvent.Decorate.EventType LAKE

    - #### PUMPKIN

          public static final DecorateBiomeEvent.Decorate.EventType PUMPKIN

    - #### REED

          public static final DecorateBiomeEvent.Decorate.EventType REED

    - #### SAND

          public static final DecorateBiomeEvent.Decorate.EventType SAND

    - #### SAND_PASS2

          public static final DecorateBiomeEvent.Decorate.EventType SAND_PASS2

    - #### SHROOM

          public static final DecorateBiomeEvent.Decorate.EventType SHROOM

    - #### TREE

          public static final DecorateBiomeEvent.Decorate.EventType TREE

    - #### CUSTOM

          public static final DecorateBiomeEvent.Decorate.EventType CUSTOM

  - ### Method Detail

    - #### values

          public static DecorateBiomeEvent.Decorate.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecorateBiomeEvent.Decorate.EventType c : DecorateBiomeEvent.Decorate.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecorateBiomeEvent.Decorate.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null